<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.TMobileChangeInfoMapper">

  <resultMap id="tMobileChangeInfoMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.TMobileChangeInfo">
    <id property="id" column="ID"/>
    <result property="applyName" column="APPLY_NAME"/>
    <result property="empIdcard" column="EMP_IDCARD"/>
    <result property="mobileOld" column="MOBILE_OLD"/>
    <result property="mobileNew" column="MOBILE_NEW"/>
    <result property="handleStatus" column="HANDLE_STATUS"/>
    <result property="handleOperator" column="HANDLE_OPERATOR"/>
    <result property="handleFinishTime" column="HANDLE_FINISH_TIME"/>
    <result property="handleRemark" column="HANDLE_REMARK"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="updateTime" column="UPDATE_TIME"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.APPLY_NAME,
                a.EMP_IDCARD,
                a.MOBILE_OLD,
                a.MOBILE_NEW,
                a.HANDLE_STATUS,
                a.HANDLE_OPERATOR,
                a.HANDLE_FINISH_TIME,
                a.HANDLE_REMARK,
                a.CREATE_BY,
                a.CREATE_NAME,
                a.CREATE_TIME,
                a.UPDATE_BY,
                a.UPDATE_TIME
    </sql>
    <sql id="tMobileChangeInfo_where">
        <if test="tMobileChangeInfo != null">
                    <if test="tMobileChangeInfo.id != null and tMobileChangeInfo.id.trim() != ''">
                        AND a.ID = #{tMobileChangeInfo.id}
                    </if>
                    <if test="tMobileChangeInfo.applyName != null and tMobileChangeInfo.applyName.trim() != ''">
                        AND a.APPLY_NAME = #{tMobileChangeInfo.applyName}
                    </if>
                    <if test="tMobileChangeInfo.empIdcard != null and tMobileChangeInfo.empIdcard.trim() != ''">
                        AND a.EMP_IDCARD = #{tMobileChangeInfo.empIdcard}
                    </if>
                    <if test="tMobileChangeInfo.mobileOld != null and tMobileChangeInfo.mobileOld.trim() != ''">
                        AND a.MOBILE_OLD = #{tMobileChangeInfo.mobileOld}
                    </if>
                    <if test="tMobileChangeInfo.mobileNew != null and tMobileChangeInfo.mobileNew.trim() != ''">
                        AND a.MOBILE_NEW = #{tMobileChangeInfo.mobileNew}
                    </if>
                    <if test="tMobileChangeInfo.handleStatus != null and tMobileChangeInfo.handleStatus.trim() != ''">
                        AND a.HANDLE_STATUS = #{tMobileChangeInfo.handleStatus}
                    </if>
                    <if test="tMobileChangeInfo.handleOperator != null and tMobileChangeInfo.handleOperator.trim() != ''">
                        AND a.HANDLE_OPERATOR = #{tMobileChangeInfo.handleOperator}
                    </if>
                    <if test="tMobileChangeInfo.handleFinishTime != null">
                        AND a.HANDLE_FINISH_TIME = #{tMobileChangeInfo.handleFinishTime}
                    </if>
                    <if test="tMobileChangeInfo.handleRemark != null and tMobileChangeInfo.handleRemark.trim() != ''">
                        AND a.HANDLE_REMARK = #{tMobileChangeInfo.handleRemark}
                    </if>
                    <if test="tMobileChangeInfo.createBy != null and tMobileChangeInfo.createBy.trim() != ''">
                        AND a.CREATE_BY = #{tMobileChangeInfo.createBy}
                    </if>
                    <if test="tMobileChangeInfo.createName != null and tMobileChangeInfo.createName.trim() != ''">
                        AND a.CREATE_NAME = #{tMobileChangeInfo.createName}
                    </if>
                    <if test="tMobileChangeInfo.createTime != null">
                        AND a.CREATE_TIME = #{tMobileChangeInfo.createTime}
                    </if>
                    <if test="tMobileChangeInfo.updateBy != null and tMobileChangeInfo.updateBy.trim() != ''">
                        AND a.UPDATE_BY = #{tMobileChangeInfo.updateBy}
                    </if>
                    <if test="tMobileChangeInfo.updateTime != null">
                        AND a.UPDATE_TIME = #{tMobileChangeInfo.updateTime}
                    </if>
        </if>
    </sql>
    <!--tMobileChangeInfo简单分页查询-->
    <select id="getTMobileChangeInfoPage" resultMap="tMobileChangeInfoMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_mobile_change_info a
        <where>
            1=1
            <include refid="tMobileChangeInfo_where"/>
        </where>
    </select>
</mapper>
